openmemory
Docs
KV

Delete a value

DELETE
/v1/kv/{ns}/{key}

Authorization

headerAuthorizationBearer <token>

Your space key (om_...). Create one with POST /v1/spaces.

Path Parameters

ns*string

Namespace, e.g. settings or cursors. Names starting with '_' are reserved.

Match^[A-Za-z0-9][A-Za-z0-9_.-]*$
Length1 <= length <= 64
key*string
Length1 <= length <= 200

Response Body

deleted is false if it did not exist

application/json
  1. response
deleted*boolean
Example Request
curl -X DELETE 'https://api.openmemory.sh/v1/kv/string/string'
Example Response
{  "deleted": true}